export interface ImageResolution {
  id: string;
  width: number;
  height: number;
  label: string;
}

export interface UploadedImage {
  id: string;
  url: string;
  width: number;
  height: number;
  size: number;
  format: string;
}

export interface ImageUploadProgress {
  progress: number;
  status: 'uploading' | 'processing' | 'complete' | 'error';
  error?: string;
}